NotificationInfo (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.NotificationInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler
Class NotificationInfo

    java.lang.Object
      org.apache.tomcat.util.modeler.FeatureInfo
          org.apache.tomcat.util.modeler.NotificationInfo

All Implemented Interfaces:
  java.io.Serializable

    public class NotificationInfo

extends FeatureInfo
implements java.io.Serializable

Internal configuration information for a `Notification` descriptor.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String[]` | `notifTypes`

Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`description, name, type`

Constructor Summary
`NotificationInfo()`

Method Summary
`void` | `addNotifType(java.lang.String notifType)` Add a new notification type to the set managed by an MBean.
`javax.management.MBeanNotificationInfo` | `createNotificationInfo()` Create and return a `ModelMBeanNotificationInfo` object that corresponds to the attribute described by this instance.
`java.lang.String[]` | `getNotifTypes()` The set of notification types for this MBean.
`void` | `setDescription(java.lang.String description)` Override the `description` property setter.
`void` | `setName(java.lang.String name)` Override the `name` property setter.
`java.lang.String` | `toString()` Return a string representation of this notification descriptor.

Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`getDescription, getName, getType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### notifTypes

    protected java.lang.String[] notifTypes

Constructor Detail

### NotificationInfo

    public NotificationInfo()

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Override the `description` property setter.

  Overrides:
    `setDescription` in class `FeatureInfo`
  Parameters:
    `description` - The new description

### setName

    public void setName(java.lang.String name)

  Override the `name` property setter.

  Overrides:
    `setName` in class `FeatureInfo`
  Parameters:
    `name` - The new name

### getNotifTypes

    public java.lang.String[] getNotifTypes()

  The set of notification types for this MBean.

### addNotifType

    public void addNotifType(java.lang.String notifType)

  Add a new notification type to the set managed by an MBean.

  Parameters:
    `notifType` - The new notification type

### createNotificationInfo

    public javax.management.MBeanNotificationInfo createNotificationInfo()

  Create and return a `ModelMBeanNotificationInfo` object that corresponds to the attribute described by this instance.

### toString

    public java.lang.String toString()

  Return a string representation of this notification descriptor.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.